%myfun LT carbonization bias potential coefficient
x=fsolve(@(x) myfun(x),0.5)
%myfun2 temperature of HT carbonization
options=optimset('TolFun',1e-9);
t=round(fsolve(@(t) myfun2(t),1700,options))

syms kL;
eq2=1-exp(-150*kL)-0.5;
%LT rate constant
k1=vpasolve(eq2,kL)
%LT conversion rate 
p1=1-exp(-4.6e-3*300)

ksai=0.9441;
G=117.91;
beta=1/t/1.38*10^23;
alpha=2*pi/6.626/3/157213*10^26;
kappa=beta*pi/alpha/sin(beta*pi/alpha)-beta/(alpha-beta)*exp((beta-alpha)*(G*4.1868*ksai)*1000/6.02/10^23);
k=kappa*1.38*10^11*t/6.626*exp(-G*4.1868*ksai*1000/8.31447/t);
%HT half-life period
tau=log(2)/k

syms kH;
eq3=1-exp(-99.7*kH)-0.5;
%HT rate constant
k2=vpasolve(eq3,kH)
%HT conversion rate 
p2=1-exp(-7e-3*300)



